Debian Bug report logs - #178151
don't send mail, just run a script, & use the environment

version graph

Package: smartmontools; Maintainer for smartmontools is Giuseppe Iuculano <iuculano@debian.org>; Source for smartmontools is src:smartmontools.

Reported by: Jamie Heilman <jamie@audible.transient.net>

Date: Fri, 24 Jan 2003 04:18:02 UTC

Severity: wishlist

Tags: upstream

Found in version 5.1.1-2

Fixed in version smartmontools/5.1.9-1

Done: Guido Guenther <agx@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Guido Guenther <agx@debian.org>, smartmontools@packages.qa.debian.org:
Bug#178151; Package smartmontools. Full text and rfc822 format available.

Acknowledgement sent to Jamie Heilman <jamie@audible.transient.net>:
New Bug report received and forwarded. Copy sent to Guido Guenther <agx@debian.org>, smartmontools@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jamie Heilman <jamie@audible.transient.net>
To: submit@bugs.debian.org
Subject: don't send mail, just run a script, & use the environment
Date: Thu, 23 Jan 2003 20:13:33 -0800
Package: smartmontools
Version: 5.1.1-2
Severity: wishlist

One may write a smartd.conf that uses the -m and -M options to send
mail at a configurable period.  Thats great, except
a) it evidently uses which ever 'mail' program it finds first--hacky
b) "For further details see the syslog (/var/log/messages) on host..."
   is too presumptuous, as sysloggers are generally configurable

A far more useful tactic would be to have the -m option (or whatever)
take the path to program to be run at the interval configured by -M.
Relevant data can be placed in documented environment variables before
the exec and thus allowing administrators to send custom messages, or
trigger other events as they see fit.  (feel free to forward this
upstream)

-- 
Jamie Heilman                   http://audible.transient.net/~jamie/
"Paranoia is a disease unto itself, and may I add, the person standing
 next to you may not be who they appear to be, so take precaution."
						-Sathington Willoughby



Information forwarded to debian-bugs-dist@lists.debian.org, smartmontools@packages.qa.debian.org:
Bug#178151; Package smartmontools. Full text and rfc822 format available.

Acknowledgement sent to Guido Guenther <agx@debian.org>:
Extra info received and forwarded to list. Copy sent to smartmontools@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 178151@bugs.debian.org (full text, mbox):

From: Guido Guenther <agx@debian.org>
To: Jamie Heilman <jamie@audible.transient.net>, 178151@bugs.debian.org
Subject: Re: Bug#178151: don't send mail, just run a script, & use the environment
Date: Fri, 24 Jan 2003 09:56:00 +0100
On Thu, Jan 23, 2003 at 08:13:33PM -0800, Jamie Heilman wrote:
> A far more useful tactic would be to have the -m option (or whatever)
> take the path to program to be run at the interval configured by -M.
Upstream is currently working on a more general solution.
 -- Guido



Tags added: upstream Request was from Guido Guenther <agx@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Guido Guenther <agx@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jamie Heilman <jamie@audible.transient.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 178151-close@bugs.debian.org (full text, mbox):

From: Guido Guenther <agx@debian.org>
To: 178151-close@bugs.debian.org
Subject: Bug#178151: fixed in smartmontools 5.1.9-1
Date: Sat, 15 Mar 2003 07:32:31 -0500
We believe that the bug you reported is fixed in the latest version of
smartmontools, which is due to be installed in the Debian FTP archive:

smartmontools_5.1.9-1.diff.gz
  to pool/main/s/smartmontools/smartmontools_5.1.9-1.diff.gz
smartmontools_5.1.9-1.dsc
  to pool/main/s/smartmontools/smartmontools_5.1.9-1.dsc
smartmontools_5.1.9-1_i386.deb
  to pool/main/s/smartmontools/smartmontools_5.1.9-1_i386.deb
smartmontools_5.1.9.orig.tar.gz
  to pool/main/s/smartmontools/smartmontools_5.1.9.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 178151@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guido Guenther <agx@debian.org> (supplier of updated smartmontools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 15 Mar 2003 12:40:04 +0100
Source: smartmontools
Binary: smartmontools
Architecture: source i386
Version: 5.1.9-1
Distribution: unstable
Urgency: low
Maintainer: Guido Guenther <agx@debian.org>
Changed-By: Guido Guenther <agx@debian.org>
Description: 
 smartmontools - control and monitor storage systems using S.M.A.R.T.
Closes: 178151 184890
Changes: 
 smartmontools (5.1.9-1) unstable; urgency=low
 .
   * new upstream version (Closes: #178151)
   * Recommends: mailx | mailutils (Closes: #184890)
   * add '-e' to shebang line of init script
   * use debian/compat not DH_COMPAT
Files: 
 f9c52f2ecb4d4c29086d40bfa8425572 583 utils optional smartmontools_5.1.9-1.dsc
 86ddd19b574d31cf420c528d94308ffc 113194 utils optional smartmontools_5.1.9.orig.tar.gz
 38de7f9e0da9f5742d1ef22ef2ff4be1 3490 utils optional smartmontools_5.1.9-1.diff.gz
 631958b12bdf5a6fe68257a1f0ff1e08 111130 utils optional smartmontools_5.1.9-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQE+cxfOn88szT8+ZCYRAuj7AJsEVGEZWqpSOoao8tW2TXja+tXX3wCePbLA
o1epa2fEDIrCFWJEf+YrsIo=
=iFua
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:28:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.